Subject: RE: Help Needed

From: Beuserie Frédéric (stbrice dsi)<[email-masked]>
Date: Mon, 14 May 2001 14:17:25 +0200

plug-gw does nothing with the tunneled protocol and more, it has nothing to
do with multithreading on the other side of the tunnel.

the solution:
if the request came from the same ip adress to the same plug-gw listening
port, plug-gw cannot choose between 
two or more destination. and you can't request it the destination when you
establish the connection.
use instead two plug-gw listening on two different port on the proxy and use
-plug-to to the right destination oracle server.
then customize your client to use different port when connecting to
different server.

-----------------------------------------
Beuserie Frederic
DSI / Système et Exploitation - 3 Suisses Belgique
Email: [email-masked]

-----Message d'origine-----
De: Biswajit Sen [mailto:[email-masked]]
Date: lundi 14 mai 2001 5:30
À: [email-masked]
Objet: Help Needed

[To be removed from this list send the message "unsubscribe fwtk-users" in
the
BODY of a mail message to [email-masked].]

Hi,

I have installed TIS PLUG-GW (Ver. FWTK-2.0) generic proxy server on a HP UX

Box (Ver. B.11.00 U 9000/800).  I tried to connect two different database 
server through this proxy server from a client PC. I can successfully 
connect to one database server (running dedicated Oracle server ver. 
7.3.4.4.1) using SQLPLUS. But I am unable to connect to second proxy server 
using SQLPLUS. Second database server is running on Multithreaded Oracle 
ver.7.3.4.4.1

I am able to ping second database server from proxy server. Also if I use 
"TELNET <PROXY-SERVER-IP> <PORT-WHERE-PLUG-GW-IS-LISTENING>"
I am getting a connection.

Is this version of plug-gw capable of giving connection to a Multithreaded 
Oracle database server or I need to install any patch for that ?

Your early response is highly appreciated.

Thanks & regards,
Biswajit

_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

---

From: Antuan Avdioukhine <[email-masked]>
Date: Mon, 14 May 2001 18:18:43 +0400 (MSD)

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

On Mon, 14 May 2001, [iso-8859-1] Beuserie FrИdИric (stbrice dsi) wrote:

You have to force dedicated mode because multithread mode in Oracle
tries to start alternative listener thread after connection made. Similar
problem I had with oracle-8i.

> I have installed TIS PLUG-GW (Ver. FWTK-2.0) generic proxy server on a
> HP UX Box (Ver. B.11.00 U 9000/800).  I tried to connect two different
> database server through this proxy server from a client PC. I can
> successfully connect to one database server (running dedicated Oracle
> server ver.  7.3.4.4.1) using SQLPLUS. But I am unable to connect to
> second proxy server using SQLPLUS. Second database server is running
> on Multithreaded Oracle
> ver.7.3.4.4.1 
> I am able to ping second database server from proxy server. Also if I
> use "TELNET <PROXY-SERVER-IP> <PORT-WHERE-PLUG-GW-IS-LISTENING>"  I am
> getting a connection. 
> Is this version of plug-gw capable of giving connection to a
> Multithreaded Oracle database server or I need to install any patch
> for that ?

--
Antuan Avdioukhine (DEKA-RIPN)
InternetMedia Holding Ltd.
St.Petersburg, Russia. +7 (812) 320 8585